# Class CIM_InstalledOS
extends CIM_SystemComponent

A link between the ComputerSystem and the OperatingSystem(s) installed or loaded on it. An OperatingSystem is 'installed' on a ComputerSystem, when placed on one of its StorageExtents - for example, copied to a disk drive or downloaded to Memory. Using this definition, an OperatingSystem is 'installed' on a NetPC when downloaded via the network.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_SystemComponent
|
+--CIM_InstalledOS

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Composition | boolean | true
Description | string | A link between the ComputerSystem and the OperatingSystem(s) installed or loaded on it. An OperatingSystem is 'installed' on a ComputerSystem, when placed on one of its StorageExtents - for example, copied to a disk drive or downloaded to Memory. Using this definition, an OperatingSystem is 'installed' on a NetPC when downloaded via the network.
UMLPackagePath | string | CIM::System::OperatingSystem
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
PrimaryOS | boolean |
Description | string | Boolean indicating that the OperatingSystem is the default OS for the ComputerSystem.
MappingStrings | string | MIF.DMTF|Operating System|001.4

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_InstalledOS | CIM_ComputerSystem
PartComponent | CIM_InstalledOS | CIM_OperatingSystem

## Class Methods